# Ogre::HardwareBufferLicensee Class Reference
[RenderSystem]

Abstract interface representing a 'licensee' of a hardware buffer copy. More...

`#include <OgreHardwareBufferManager.h>`

Inheritance diagram for Ogre::HardwareBufferLicensee:
[legend]

List of all members.

## Public Member Functions

virtual | ~HardwareBufferLicensee ()
virtual void | licenseExpired (HardwareBuffer *buffer)=0
| This method is called when the buffer license is expired and is about to be returned to the shared pool.

## Detailed Description

Abstract interface representing a 'licensee' of a hardware buffer copy.

remarks Often it's useful to have temporary buffers which are used for working but are not necessarily needed permanently. However, creating and destroying buffers is expensive, so we need a way to share these working areas, especially those based on existing fixed buffers. This class represents a licensee of one of those temporary buffers, and must be implemented by any user of a temporary buffer if they wish to be notified when the license is expired.

Definition at line 57 of file OgreHardwareBufferManager.h.

## Constructor & Destructor Documentation

virtual Ogre::HardwareBufferLicensee::~HardwareBufferLicensee | ( |  | ) | `[virtual]`

Definition at line 60 of file OgreHardwareBufferManager.h.

## Member Function Documentation

virtual void Ogre::HardwareBufferLicensee::licenseExpired | ( | HardwareBuffer * | buffer | ) | `[pure virtual]`

This method is called when the buffer license is expired and is about to be returned to the shared pool.

The documentation for this class was generated from the following file:

- OgreHardwareBufferManager.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:55